<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gssapi_error_api</name>
    <title>Globus GSSAPI Error API</title>
    <filename>group__globus__gssapi__error__api.html</filename>
    <subgroup>globus_gssapi_error_object</subgroup>
    <subgroup>globus_gssapi_error_accessor</subgroup>
    <subgroup>globus_gssapi_error_utility</subgroup>
    <docanchor file="/builddir/build/BUILD/globus_gssapi_error-2.5/library/globus_error_gssapi.h">globus_gssapi_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__gssapi__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>g847bd801abe56bcbe1fafc6a6f8007cf</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>g15a6e1294c1d41e3c20e9681f09b74ac</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const OM_uint32 major_status, const OM_uint32 minor_status)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GSSAPI</name>
      <anchorfile>group__globus__gssapi__error__object.html</anchorfile>
      <anchor>gcda04e4bbfd0e7c3bd8379041734f3c4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__gssapi__error__accessor.html</filename>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_error_gssapi_get_major_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>gd19954d02cf22093c04f625e84e7ae05</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_gssapi_set_major_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>g57d2a2f3cfad4fac0b3acd0b955bcfbf</anchor>
      <arglist>(globus_object_t *error, const OM_uint32 major_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_error_gssapi_get_minor_status</name>
      <anchorfile>group__globus__gssapi__error__accessor.html</anchorfile>
      <anchor>gd00199386f937e87ff3686f64f4b5f4f</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gssapi_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__gssapi__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_gssapi_match</name>
      <anchorfile>group__globus__gssapi__error__utility.html</anchorfile>
      <anchor>gf0cdc26b06deab8e74799b1412ad44cf</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, const OM_uint32 major_status)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_gssapi_error</name>
      <anchorfile>group__globus__gssapi__error__utility.html</anchorfile>
      <anchor>g06511e23cd1cfceabb399dfe5c9b9c05</anchor>
      <arglist>(globus_module_descriptor_t *base_source, OM_uint32 major_status, OM_uint32 minor_status, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
</tagfile>
